Установка пакетов BLAS и LAPACK

22

Как установить BLAS & amp; LAPACK в Ubuntu 14.04? Когда я пытаюсь установить эти пакеты с apt-get install BLAS :

Error occurred  
Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
    
задан Jeetu Donderiya 14.05.2015 в 13:16
источник

3 ответа

36

В ответе @ Maythux есть опечатка: в e не должно быть liblapacke .

Более минималистский набор пакетов можно установить с помощью

sudo apt-get install libblas-dev liblapack-dev

Кроме того, если вы устанавливаете их, чтобы получить scipy для установки с pip , это может быть не полное решение (я не смог использовать pip install scipy в архитектуре ARM архитектуры Ubuntu 14.04). Я нашел успех с apt-get install python-scipy , но это была более старая версия (0.13.3). Если вам нужна более новая версия через pip , вам также может понадобиться:

sudo apt-get install gfortran

Я нашел эту информацию о StackOverflow здесь

    
ответ дан hamx0r 19.02.2016 в 16:04
6

Чтобы решить проблему блокировки каталога администратора, выполните поиск процессов.

sudo rm /var/lib/apt/lists/lock
sudo apt-get update

Затем попробуйте выполнить команды для установки

sudo apt-get install libblas-dev checkinstall
sudo apt-get install libblas-doc checkinstall
sudo apt-get install liblapacke-dev checkinstall
sudo apt-get install liblapack-doc checkinstall
    
ответ дан Maythux 14.05.2015 в 13:17
3

В моем случае решение

sudo apt-get install libatlas-base-dev
    
ответ дан KyungHoon Kim 31.10.2016 в 01:53